@import "colors"
@import "reset.sass"

html
	font-size: 10px

body
	background-color: $body-bg
	color: $dark
	font-family: 'Roboto', sans-serif
	padding-top: 40px
	margin: 0
	font-size: 14px
.top-nav
	background: $white
	padding: 15px 34px
	position: relative
	&__btn
		display: none
		width: 30px
		height: 30px
		background: transparent
		font-size: 18px
		border: none
		position: absolute
		right: 15px
		top: -50px
		&:hover
			cursor: pointer
.top-nav__menu
	list-style: none
	padding: 0
	display: flex
	li 
		margin-right: 45px
		&:last-child
			margin-right: 0px
		a 
			text-transform: uppercase
			text-decoration: none
			color: black
			font-weight: 700
		a::after
			content: ''
			display: block
			width: 100%
			height: 2px
			background-color: $active-color
			transform: translateY(37px) scale(0)
			transition: all 0.2s
		a:hover
			text-decoration: none
		a:hover::after
			transform: translateY(37px) scale(1)
a 
	color: $active-color
img
	max-width: 100%
button, input
	outline: none
h2
	font-size: 24px
.fa-vk, .fa-facebook, .fa-instagram
	display: inline-block
	width: 30px
	height: 30px
	border-radius: 50%
	background: $social-color
	color: $white
	text-align: center
	padding-top: 8px
	transition: all 0.2s
.btn
	padding: 20px 30px
	display: inline-block
	text-decoration: none
	border: none
	color: $white
	border-radius: 5px
	font-weight: 700
	&-primary
		background-color: $active-color
		border-bottom: 5px solid darken($active-color, 10%)
		&:hover
			background-color: lighten($active-color, 2%)
.left-sidebar
	margin-top: 4rem
	&__btn
		display: none
		background-color: $white
		padding: 15px
		position: relative
		&:hover
			cursor: pointer
		&::after
			content: ''
			display: inline-block
			position: absolute
			top: 50%
			margin-top: -10px
			right: 15px
			width: 15px
			height: 15px
			border-bottom: 2px solid $dark
			border-right: 2px solid $dark
			transform: rotate(45deg)
.left-sidebar__menu
	background-color: $white
	list-style: none
	padding: 0
	li 
		transition: all 0.2s
	li:first-child
		a 
			padding-top: 20px
	li:last-child
		a 
			padding-bottom: 20px
	li:hover
		background-color: $active-color
		a 
			color: $white
	a
		display: block
		padding: 15px 29px
		text-decoration: none
		color: $dark
		font-size: 16px
.left-sidebar__object
	background-color: $white
	margin-top: 30px
	&-description
		padding: 30px
		h3
			text-transform: uppercase
			font-weight: 400
			font-size: 18px
.content
	margin-top: 40px
	margin-bottom: 75px
.directions
	margin-top: 80px
	&-block
		background-color: $white
		height: 220px
		text-align: center
		margin: 0 15px
		padding: 10px
		overflow: hidden
		background-position: bottom center
		background-repeat: no-repeat
		h3
			color: $active-color
			font-weight: 400
			margin: 0
			margin-top: 20px
.footer
	margin-top: 60px
	background-color: $dark
	color: $footer-text
	padding: 59px 0
	&-policy-link
		font-size: 12px
	small
		display: block
		margin-top: 50px
		line-height: 16px
		font-size: 10px
		max-width: 80%
	a 
		color: $footer-text
		text-decoration: none
		&:hover
			color: $white
	.copyright
		margin-bottom: 14px
	ul
		padding: 0
		list-style: none
		li 
			line-height: 32px
	&-contacts
		text-align: right
		&__phone
			font-size: 20px
			color: $active-color
			font-weight: 700
	&-social-links
		margin-top: 20px
		@extend .footer-contacts
		li 
			display: inline-block
			line-height: 32
			margin-left: 15px
			&:hover
				.fa
					background: lighten($social-color, 5%)
/*Team*/
.team
	text-align: center
	h4
		font-size: 18px
		font-weight: 400
		margin-bottom: 15px
	p
		margin-bottom: 40px
/*Contacts*/
.contacts
	font-size: 16px
	p
		img
			margin-right: 12px
			vertical-align: middle
	&__mail
		margin-bottom: 25px
	&__address
		display: block
		text-decoration: none
		line-height: 2
	.btn-contacts
		margin-top: 35px
	&-social-links
		ul
			list-style: none
			padding: 0
			margin-top: 40px
			li 
				display: inline-block
				margin-right: 15px		
		.fa-vk, .fa-facebook, .fa-instagram
			display: inline-block
			width: 32px
			height: 32px
			border-radius: 50%
			background: $active-color
			color: $white
			text-align: center
			padding-top: 9px
			transition: all 0.2s
			&:hover
				background: lighten($active-color, 10%)
/*Organization*/
.organization
	&-card
		background-color: $white
		padding: 20px 30px
		margin-bottom: 30px
		min-height: 40rem
		transition: all 0.2s
		&:hover
			box-shadow: 0 5px 10px rgba(0, 0, 1, 0.1)
		a
			text-transform: uppercase
			text-decoration: none
			display: block
			margin-bottom: 20px
		small
			display: block
			color: $inn
			line-height: 1.5
		p
			line-height: 22px

/*Calculator*/
.calc
	h4
		margin-bottom: 30px
		margin-top: 0
	&-radio
		flex-basis: 50%
		&:last-child
			flex-basis: 100%
			display: flex
	&-legal
		font-size: 12px
	&-programs
		display: flex
		flex-wrap: wrap
		label
			display: inline-block
			margin-bottom: 20px
			&:hover
				cursor: pointer
			small
				display: block
				margin-left: 28px
				font-size: 10px
				color: $dark
				opacity: 0.5
			&::before
				content: ''
				display: inline-block
				vertical-align: middle
				width: 24px
				height: 24px
				background-color: $white
				border: 6px solid $white
				box-shadow: 0 5px 10px rgba(0, 0, 1, 0.1)
				border-radius: 50%
				transition: all 0.2s
	&-popular
		padding-left: 5px
		padding-right: 5px
		margin-left: 16px
		width: 50%
		height: 25px
		color: $white
		text-align: center
		display: flex
		justify-content: center
		align-items: center
		font-size: 10px
		text-transform: uppercase
		background-color: $active-color
		position: relative
		&::before
			content: ''
			width: 6px
			height: 13px
			border: 6px solid transparent
			border-right: 6px solid $active-color
			position: absolute
			left: -11px
			top: 50%
			margin-top: -7px
	input[type="radio"]
		display: none
		&:checked
			&+label::before
				background-color: $active-color
				border: 6px solid $white
	&-summ
		&-invest
			margin-top: 30px
			&__label
				margin-right: 10px
			&__num
				display: inline-block
				text-align: center
				padding: 10px 48px
				background-color: $white
				font-size: 18px
	&-total
		display: inline-block
		text-align: center
		background-color: $white
		padding: 10px 28px
		margin-top: 20px
		margin-right: 40px
		small
			font-size: 10px
		strong
			font-size: 18px
			color: $active-color
			font-weight: 400
	&-monthly
		display: inline-block
		text-align: center
		font-size: 18px
		margin-top: 20px
		background-color: transparent
		padding: 10px
		small
			font-size: 10px
		strong
			font-size: 18px
			color: $active-color
			font-weight: 400
	
/*Category*/
.object
	&-card
		background-color: $white
		margin-bottom: 30px
		img
			width: 100%
		&-text
			padding: 30px
		&__title
			display: block
			font-size: 16px
			color: $active-color
			text-decoration: none
		&__price
			font-size: 20px
			display: block
			color: $active-color
			font-weight: 700
			text-align: center
		&-btn
			display: block
			text-align: center
		&__more
			display: block
			color: $dark
			margin-top: 30px
			text-align: center

/*Object-page*/
.object-page
	&__gallery
		float: right
		img
			height: 220px
			width: 370px
	&__text
		.btn
			margin-top: 20px
	&__more
		text-decoration: none
		&:hover
			text-decoration: underline


/*Modal*/
.modal
	display: none
	background-color: rgba(0, 0, 0, 0.4)
	position: fixed
	left: 0
	top: 0
	width: 100%
	height: 100%
	&-content
		margin: 50px auto
		background-color: $white
		padding: 30px 50px
		width: 100%
		max-width: 370px
		margin: 0 auto
		text-align: center
		box-shadow: 0 12px 24px rgba(0, 0, 1, 0.18)
		.close
			position: absolute
			right: 15px
			top: 15px
			line-height: 1
			font-size: 20px
			opacity: 0.5
			&:hover
				cursor: pointer
		h4
			font-size: 18px
			color: $active-color
			margin-top: 0
		p
			font-size: 12px
			margin-top: 0
		&__form
			margin-top: 37px
			input
				display: block
				width: 100%
				border: 1px solid rgba($dark, 0.5)
				border-radius: 4px
				padding: 20px
				font-size: 15px
				margin-bottom: 10px
			.btn
				display: block
				margin-bottom: 20px
				width: 100%
				font-size: 14px
				margin-bottom: 20px



@import "media"
